<?php
session_start();
include_once("config.php");

	if(isset($_SESSION["cart_products"])) //check session var
    {
		$total = 0; //set initial total value
		$b = 0; //var for zebra stripe table 
		foreach ($_SESSION["cart_products"] as $cart_itm)
        {
			//set variables to use in content below
			$product_name = $cart_itm["product_name"];
			$product_qty = $cart_itm["product_qty"];
			$product_price = $cart_itm["product_price"];
			$product_code = $cart_itm["product_code"];
			$product_color = $cart_itm["product_color"];
			$subtotal = ($product_price * $product_qty); //calculate Price x Qty
			
		   	$bg_color = ($b++%2==1) ? 'odd' : 'even'; //class for zebra stripe 
		  
			$total = ($total + $subtotal); //add subtotal to total var
        }
		
		$grand_total = $total + $shipping_cost; //grand total including shipping cost
		foreach($taxes as $key => $value){ //list and calculate all taxes in array
				$tax_amount     = round($total * ($value / 100));
				$tax_item[$key] = $tax_amount;
				$grand_total    = $grand_total + $tax_amount;  //add tax val to grand total
		}
		
		$list_tax       = '';
		foreach($tax_item as $key => $value){ //List all taxes
			$list_tax .= $key. ' : '. $currency. sprintf("%01.2f", $value).'<br />';
		}
		$shipping_cost = ($shipping_cost)?'Shipping Cost : '.$currency. sprintf("%01.2f", $shipping_cost).'<br />':'';
	}
$results = $mysqli->query("SELECT product_img_name FROM products WHERE product_code='G100'");
while($row = mysqli_fetch_array($results)){
$img = $row['product_img_name'];
}

	
if (isset($_POST['em']) && !empty($_POST['em'])) {
   $_SESSION['name'] = addslashes($_POST['name']);
   $_SESSION['phone'] = addslashes($_POST['phone']); 
   $_SESSION['em'] = addslashes($_POST['em']);
   $_SESSION['choice'] = addslashes($_POST['choice']);
   $_SESSION['shipname'] = addslashes($_POST['shipname']);
   $_SESSION['shipemail'] = addslashes($_POST['shipemail']);
   $_SESSION['shipstreet'] = addslashes($_POST['shipstreet']);
   $_SESSION['shipcity'] = addslashes($_POST['shipcity']);
   $_SESSION['shipstate'] = addslashes($_POST['shipstate']);
   $_SESSION['shipzip'] = addslashes($_POST['shipzip']);
   $_SESSION['message'] = addslashes($_POST['message']);
   
   $name = addslashes($_POST['name']);   
   $phone = preg_replace("/^(\d{3})(\d{3})(\d{4})$/", "$1-$2-$3", $_POST['phone']);
   $em = addslashes($_POST['em']);
   $choice = addslashes($_POST['choice']);
   $shipname = addslashes($_POST['shipname']);
   $shipemail = addslashes($_POST['shipemail']);
   $shipstreet = addslashes($_POST['shipstreet']);
   $shipcity = addslashes($_POST['shipcity']);
   $shipstate = addslashes($_POST['shipstate']);
   $shipzip = addslashes($_POST['shipzip']);
   $message = addslashes($_POST['message']);
   if ($choice == 'byemail')
   {$shipping = $shipemail;} 
   else if ($choice == 'byair')
   {$shipping = ''.$shipstreet.'<br/>'.$shipcity.', '.$shipstate.' '.$shipzip.'';} 
} 
?>
<!doctype html>
<!--[if IE 7 ]>    <html lang="en-gb" class="isie ie7 oldie no-js"> <![endif]-->
<!--[if IE 8 ]>    <html lang="en-gb" class="isie ie8 oldie no-js"> <![endif]-->
<!--[if IE 9 ]>    <html lang="en-gb" class="isie ie9 no-js"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--> <html lang="en-gb" class="no-js"> <!--<![endif]-->

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">	
    <!--[if lt IE 9]> 
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <![endif]-->
    
	<title>O'Lashi Flair</title> 
	
	<meta name="description" content="">
	<meta name="author" content="">
    
    <!--[if lt IE 9]>
        <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->    
	<!--[if lte IE 8]>
		<script type="text/javascript" src="http://explorercanvas.googlecode.com/svn/trunk/excanvas.js"></script>
	<![endif]-->
    <link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
    <link id="default-css" href="style.css" rel="stylesheet" media="all" />
    <link id="default-css" href="css/style-gift.css" rel="stylesheet" media="all" />
    <link href="css/shortcode.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="css/responsive.css" type="text/css" media="all"/>
    <link href="css/animations.css" rel="stylesheet" media="all" />
    <link id="skin-css" href="skins/red/style.css" rel="stylesheet" media="all" />
    <link rel="stylesheet" href="css/meanmenu.css" type="text/css" media="all"/>
    <link href="css/prettyPhoto.css" rel="stylesheet" type="text/css" /> 
    <link rel="stylesheet" type="text/css" href="css/pace-theme-loading-bar.css" />
    <link rel="stylesheet" href="css/bootstrap-responsive.css">
    <link rel="stylesheet" href="css/bootstrap.css">
    <link rel="stylesheet" href="css/font-awesome.min.css">
    
    <link href='http://fonts.googleapis.com/css?family=Raleway' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Roboto:400,500,300,700,900' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=PT+Serif:400,700' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Roboto+Slab:400,100,300,700' rel='stylesheet' type='text/css'>
    
    <!--[if IE 7]>
    <link rel="stylesheet" href="css/font-awesome-ie7.min.css" />
    <![endif]-->
    
    <!-- jQuery -->
    <script src="js/modernizr.custom.js"></script>
    <script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>
<script>
function Submit(){
	var emailRegex = /^[A-Za-z0-9._]*\@[A-Za-z]*\.[A-Za-z]{2,5}$/;
	var phoneRegex = /^[(]{0,1}[0-9]{3}[)]{0,1}[-\s\.]{0,1}[0-9]{3}[-\s\.]{0,1}[0-9]{4}$/;
	
	var fname = document.form.name.value,
		fem = document.form.em.value,
		fphone = document.form.phone.value,
		fshipname = document.form.shipname.value;
				
	if( fname == "" )
   {
     document.form.name.focus() ;
	 document.getElementById("errorBox").innerHTML = "Enter your name";
	 document.getElementById("errorBox2").style.display='';
     return false;
   }
   if(fphone == "")
	 {
		 document.form.phone.focus();
		 document.getElementById("errorBox").innerHTML = "Enter your phone number";
		 document.getElementById("errorBox2").style.display='';
		 return false;
	 }
	else if(!phoneRegex.test(fphone)){
		document.form.phone.focus();
		document.getElementById("errorBox").innerHTML = "Phone number is not valid";
		document.getElementById("errorBox2").style.display='';
		return false;
	 }
   if (fem == "" )
	{
		document.form.em.focus();
		document.getElementById("errorBox").innerHTML = "Enter your email";
		document.getElementById("errorBox2").style.display='';
		return false;
	 }
	 else if(!emailRegex.test(fem)){
		document.form.em.focus();
		document.getElementById("errorBox").innerHTML = "Email is not valid";
		document.getElementById("errorBox2").style.display='';
		return false;
	 }
	 if( fshipname == "" )
   {
     document.form.shipname.focus() ;
	 document.getElementById("errorBox").innerHTML = "Enter your receiver name";
	 document.getElementById("errorBox2").style.display='';
     return false;
   }

	 if(fname != '' && fem != '' && fphone != '' && fshipname != ''){
			document.getElementById("form").submit();
			document.getElementById("errorBox").style.display='none';
			document.getElementById("errorBox2").style.display='none';
			document.getElementById("spinner").style.display='';
			}
		  }
</script> 
<script>
$(document).ready(function(){
	$("#collapseTwo").hide();
    $('input[type="radio"]').click(function(){
        var inputValue = $(this).attr("value");
        var targetBox = $("." + inputValue);
        $(".box").not(targetBox).hide();
        $(targetBox).show();
    });
});
</script>	
<style>
#errorBox, #errorBox2 {color: red;margin-left: 15px;margin-bottom: 15px;}
</style>
</head>

<body>
<div id="loader-wrapper"><!-- PreLoader -->
    <div class="loader">
        <div class="inner one"></div>
        <div class="inner two"></div>
        <div class="inner three"></div>
    </div>
    <h3 class="loader-text">
    	O'Lashi Flair
    </h3>
</div><!-- PreLoader -->
<div class="wrapper">
    <div class="inner-wrapper">
    	<div class="top-bar">
        	<div class="container">
            	<p>Great lashes is all we create here.</p>
                <div class="top-right">
                	<ul>
                        <li>
                            <span class="fa fa-phone-square"></span>
                            214-714-0923
                        </li>
                	</ul>        
                </div>
            </div>
        </div>
        <header id="header" class="dt-sticky-menu type2">
        	<div id="logo">
                <a title="OLashi Flair" href="../index.html"><img title="OLashi Flair" alt="OLashi Flai" src="images/logo.png"></a>
            </div>
            <div id="menu-container">
            	<div class="container">
                    <nav id="main-menu">
                        <div id="dt-menu-toggle" class="dt-menu-toggle">
                            Menu
                            <span class="dt-menu-toggle-icon"></span>
                        </div>
                        <a title="OLashi Flair" href="../index.html" class="sticky-logo"><img title="OLashi Flair" alt="Trendy" src="images/logo-white.png"></a>
                        <ul class="menu">
	                        <li class=""><a href="../index.html">Home</a></li>
	                        <li class=""><a href="../eyelash-services.html">Service</a></li>
	                        <li class=""><a href="../eyelash-promotions.html">Promotions</a></li>

	                        <li class=""><a href="../eyelash-contact.html">Directions</a></li>
                            <li class=""><a href="index.php">Gift Purchase</a></li>
                            <li class=""><a href="../eyelash-faq.html">Faq</a></li>
                        </ul>
                    </nav>
                </div>
            </div>
        </header>
        <div id="main"><!-- Main -->
        		
            <div class="hr-separator"></div>
            <div class="hr-invisible-medium"></div>
            <h2 class="border-title aligncenter"> Checkout </h2>
            <div class="fullwidth-section">
            <div class="fullwidth-bg">
<div class="container">
<div class="row">
	 <br>
                
                <div class="col-md-8 col-sm-6 col-xs-12">
                    <div class="panel panel-default">
                        <div class="panel-heading text-center"><h4>Review Information</h4></div>
                        <div class="panel-body">
<address>
<b>From:</b>
<?php echo $name; ?><br>
<?php echo $phone; ?><br>
<abbr title="Phone"></abbr> 
<?php echo $em; ?>
</address>
<hr>
<address>
<b>To:</b>
<?php echo $shipname; ?><br>
<?php echo $shipping; ?>
</address> 
<address>
<b>Message:</b>
<?php echo $message; ?>
</address>                       
<hr>
<button onClick='history.go(-1)' class="btn btn-warning" type="button"><i class="fa fa-angle-double-left"></i>&nbsp; Edit</button>
</div>
                    </div>
                </div>
                
                <div class="col-md-4 col-sm-6 col-xs-12">
                    <div class="panel panel-default">
                        <div class="panel-heading text-center">
                            <h4>Review Order</h4>
                        </div>
                        <div class="panel-body">
                                <div class="col-md-12">
	                                <img src="images/gift0.jpg" class="img-responsive" /><br/>
                                    <strong>Subtotal</strong>
                                    <div class="pull-right"><span>$</span><span><?php echo number_format($grand_total, 2); ?></span></div>
                                </div>
                                <div class="col-md-12">
                                    <hr>
                                </div>
                                <div class="col-md-12">
                                    <strong>Order Total</strong>
                                    <div class="pull-right"><span>$</span><span><?php echo number_format($grand_total, 2); ?></span></div>
                                    <hr>
                                </div>
                                <center>
                                <a href="paypal-express-checkout" ><img src="images/btn_pay_with_paypal.png" ></a>
                                </center>
                        </div>
                        
                    </div>
                </div>
                
                </div>
</div>
<footer id="footer">
        <div class="hr-invisible"></div>
            <div class="footer-widgets-wrapper">
                <div class="container">
                	<div class="column dt-sc-one-fourth first">
                    	<aside class="widget widget_text">
                    		<h4 class="widgettitle"> Location </h4>
                            <div class="dt-sc-contact-info address">
                            	<p>8308 Preston Rd # 200<br>Plano, TX 75024 <br>214-714-0923</p>
                            </div>
                            
                        </aside>
                    </div>
                    <div class="column dt-sc-one-fourth">
                    	<aside class="widget widget_text">
                    		<h4 class="widgettitle"> Hours</h4>
                            <div class="textwidget">
                                <ul>
                                    <li><a href="#"> Mon - Fri: 10am - 7pm</a></li>
                                    <li><a href="#"> Sat: 9am - 6pm</a></li>
                                     <li><a href="#"> Sun: Closed</a></li>
                                </ul>
                            </div>     
                        </aside>
                    </div>
                    <div class="column dt-sc-one-fourth">
                    	<aside class="widget widget_text">
	                    	<h4 class="widgettitle"> Like Us </h4>
                    		<ul class="footer-icons">
                            	<li><a href="#" class="fa fa-facebook"></a></li>
                                <li><a href="#" class="fa fa-yelp"></a></li>
                                <li><a href="#" class="fa fa-google-plus"></a></li>
                            </ul>
                            
                        </aside>
                    </div>
                    <div class="column dt-sc-one-fourth">
                    	<aside class="widget widget_newsletter">
                    		<h4 class="widgettitle"> Promotions </h4>
                            <form class="subscribe-frm" method="post" name="frmnewsletter" action="php/subscribe.php">
                                <input type="email" placeholder="Enter email" required value="" name="mc_email" >
                                <input class="dt-sc-button small" type="submit" value="" name="submit">
                            </form>
                            <div id="ajax_subscribe_msg"></div>
                            <div class="hr-invisible-very-very-small"></div>
                            
                        </aside>
                 	</div>    
                </div>
                <div class="hr-invisible-medium"></div>
            </div>
            <div class="copyright">
            	<div class="container">
	            	<p>Copyright © 2017 O'Lashi Flair | <a href="https://canngay.com" target="_parent">Can Ngay</a></p>
                </div>
            </div>
       	</footer> 
	</div><!-- End of Inner-Wrapper -->
</div><!-- End of Wrapper -->

<!-- **jQuery** -->    
<script src="js/jquery-1.11.3.min.js"></script>  
<script type="text/javascript" src="js/jquery.sticky.min.js"></script>    
<script src="js/jsplugins.js" type="text/javascript"></script>
<script src="js/jquery.meanmenu.min.js" type="text/javascript"></script>
<script src="js/custom.js"></script>

</body>
</html>
