<?php
session_start();
include_once("config.php");
if(!empty($_GET["action"])) {
switch($_GET["action"]) {
	case "add":
		if(!empty($_POST["quantity"])) {
			$productByCode = $db_handle->runQuery("SELECT * FROM tblproduct WHERE code='" . $_GET["code"] . "'");
			$itemArray = array($productByCode[0]["code"]=>array('name'=>$productByCode[0]["name"], 'code'=>$productByCode[0]["code"], 'quantity'=>$_POST["quantity"], 'price'=>$productByCode[0]["price"]));
			
			if(!empty($_SESSION["cart_products"])) {
				if(in_array($productByCode[0]["code"],array_keys($_SESSION["cart_products"]))) {
					foreach($_SESSION["cart_products"] as $k => $v) {
							if($productByCode[0]["code"] == $k) {
								if(empty($_SESSION["cart_products"][$k]["quantity"])) {
									$_SESSION["cart_products"][$k]["quantity"] = 0;
								}
								$_SESSION["cart_products"][$k]["quantity"] += $_POST["quantity"];
							}
					}
				} else {
					$_SESSION["cart_products"] = array_merge($_SESSION["cart_products"],$itemArray);
				}
			} else {
				$_SESSION["cart_products"] = $itemArray;
			}
		}
	break;
	case "remove":
		if(!empty($_SESSION["cart_products"])) {
			foreach($_SESSION["cart_products"] as $k => $v) {
					if($_GET["code"] == $k)
						unset($_SESSION["cart_products"][$k]);				
					if(empty($_SESSION["cart_products"]))
						unset($_SESSION["cart_products"]);
			}
		}
	break;
	case "empty":
		unset($_SESSION["cart_products"]);
	break;	
}
}
?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>View shopping cart</title>
<link href="style/bootstrap.css" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="style/font-awesome.css">
<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css" rel="stylesheet">
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
<script>
function Submit(){
	var emailRegex = /^[A-Za-z0-9._]*\@[A-Za-z]*\.[A-Za-z]{2,5}$/;
	var phoneRegex = /^[(]{0,1}[0-9]{3}[)]{0,1}[-\s\.]{0,1}[0-9]{3}[-\s\.]{0,1}[0-9]{4}$/;
	
	var fname = document.form.name.value,
		fem = document.form.em.value,
		fphone = document.form.phone.value,
		fshipname = document.form.shipname.value;
				
	if( fname == "" )
   {
     document.form.name.focus() ;
	 document.getElementById("errorBox").innerHTML = "Enter your name";
	 document.getElementById("errorBox2").style.display='';
     return false;
   }
   if(fphone == "")
	 {
		 document.form.phone.focus();
		 document.getElementById("errorBox").innerHTML = "Enter your phone number";
		 document.getElementById("errorBox2").style.display='';
		 return false;
	 }
	else if(!phoneRegex.test(fphone)){
		document.form.phone.focus();
		document.getElementById("errorBox").innerHTML = "Phone number is not valid";
		document.getElementById("errorBox2").style.display='';
		return false;
	 }
   if (fem == "" )
	{
		document.form.em.focus();
		document.getElementById("errorBox").innerHTML = "Enter your email";
		document.getElementById("errorBox2").style.display='';
		return false;
	 }
	 else if(!emailRegex.test(fem)){
		document.form.em.focus();
		document.getElementById("errorBox").innerHTML = "Email is not valid";
		document.getElementById("errorBox2").style.display='';
		return false;
	 }
	 if( fshipname == "" )
   {
     document.form.shipname.focus() ;
	 document.getElementById("errorBox").innerHTML = "Enter your receiver name";
	 document.getElementById("errorBox2").style.display='';
     return false;
   }

	 if(fname != '' && fem != '' && fphone != '' && fshipname != ''){
			document.getElementById("form").submit();
			document.getElementById("errorBox").style.display='none';
			document.getElementById("errorBox2").style.display='none';
			document.getElementById("spinner").style.display='';
			}
		  }
</script> 
<script>
$(document).ready(function () {
    $("input[name='choice']").click(function () {
        var checkedValue = $("input[name='choice']:checked").val();
        console.log(checkedValue);
        if (checkedValue == "byemail") {
            $("#collapseOne").collapse('show');
            $("#collapseTwo").collapse('hide');
        } else if (checkedValue == "byair") {
            $("#collapseOne").collapse('hide');
            $("#collapseTwo").collapse('show');

        } else {
            console.log("Oops.");
        }
    });
});
</script>	
<style>
#errorBox, #errorBox2 {color: red;margin-left: 15px;margin-bottom: 15px;}
</style>
</head>
<body>
<h1 align="center">View Cart</h1>
<div class="container">
    <form class="well span8" role="form" method="post" name="form" action="checkout.php" id="form">
<?php
	if(isset($_SESSION["cart_products"])) //check session var
    {
		$total = 0; //set initial total value
		$b = 0; //var for zebra stripe table 
		foreach ($_SESSION["cart_products"] as $cart_itm)
        {
			//set variables to use in content below
			$product_name = $cart_itm["product_name"];
			$product_qty = $cart_itm["product_qty"];
			$product_price = $cart_itm["product_price"];
			$product_code = $cart_itm["product_code"];
			$product_color = $cart_itm["product_color"];
			$subtotal = ($product_price * $product_qty); //calculate Price x Qty
			
		   	$bg_color = ($b++%2==1) ? 'odd' : 'even'; //class for zebra stripe 

			$total = ($total + $subtotal); //add subtotal to total var
			
			$content .='<tr>
							<td data-th="Product">
								<div class="row">
									<div class="col-sm-10">
										<h5 class="nomargin">'.$product_name.'</h5>
									</div>
								</div>
							</td>
							<td data-th="Price">'.$currency.$product_price.'</td>
							<td data-th="Subtotal" class="text-center">'.$currency.$subtotal.'</td>
							<td class="actions" data-th="">
							<a href="shipping.php?action=remove&code='.$product_code.'" class="btn btn-info"><i class="fa fa-trash-o"></i></a></td>
						</tr>';
        }
		
		$grand_total = $total + $shipping_cost; //grand total including shipping cost
		foreach($taxes as $key => $value){ //list and calculate all taxes in array
				$tax_amount     = round($total * ($value / 100));
				$tax_item[$key] = $tax_amount;
				$grand_total    = $grand_total + $tax_amount;  //add tax val to grand total
		}
		
		$list_tax       = '';
		foreach($tax_item as $key => $value){ //List all taxes
			$list_tax .= $key. ' : '. $currency. sprintf("%01.2f", $value).'<br />';
		}
		$shipping_cost = ($shipping_cost)?'Shipping Cost : '.$currency. sprintf("%01.2f", $shipping_cost).'<br />':'';
	}
?>
	    
	    <table id="cart" class="table table-hover table-condensed">
    				<thead>
						<tr>
							<th style="width:50%">Product</th>
							<th style="width:10%">Price</th>
							<th style="width:22%" class="text-center">Item Total</th>
							<th style="width:10%">Remove</th>
						</tr>
					</thead>
					<tbody>
						<?php echo $content; ?>
					</tbody>
					
				</table>
				
		<hr>		
<div class="row">
<div id="errorBox"></div>
            <div class="col-md-6">
                <div class="form-group">
	                <label>From: </label>
	                <input class="form-control" placeholder="Sender Name" type="text" name="name">
            	</div>
            	<div class="form-group">
	                <label>Phone</label>
	                <input class="form-control" placeholder="Phone" type="text" name="phone">
            	</div>
            </div>
            <div class="col-md-6">
				<div class="form-group">                
	                <label>Email</label> 
	                <input class="form-control" placeholder="Email" type="text" name="em"> 
            	</div>
<div class="form-group"> 
<label>Deliver By </label><br/>
<label class="radio-inline">
<input type="radio" name="choice" id="inlineRadio1" value="byemail" checked> Email
</label>
<label class="radio-inline">
<input type="radio" name="choice" id="inlineRadio2" value="byair"> Post Office
</label>
</div>
            </div>
</div>
<hr><br/>
<div class="row">           
            <div class="col-md-6">
	            <div class="form-group">
	                <label>To:</label>
	                <input class="form-control" placeholder="Receiver Name" type="text" name="shipname">
            	</div>
	            <div id="collapseOne" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingOne">
            	<div class="form-group">
	                <label>Email</label>
	                <input class="form-control" placeholder="Email" type="text" name="shipemail">
            	</div>
	            </div>
	            	
	           <div id="collapseTwo" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingTwo">
            	<div class="form-group">
	                <label>Address</label>
	                <input class="form-control" placeholder="Street" type="text" name="shipstreet">
            	</div>
            	<div class="form-group">
	                <label>City</label>
	                <input class="form-control" placeholder="City" type="text" name="shipcity">
            	</div>
            	<div class="form-group">
	                <label>State</label>
	                <input class="form-control" placeholder="State" type="text" name="shipstate">
            	</div>
				<div class="form-group">                
	                <label>Zip Code</label> 
	                <input class="form-control" placeholder="Zip" type="text" name="shipzip"> 
            	</div>
	            </div>
            </div>
            <div class="col-md-6">
                <label>Message</label> 
   				<textarea class="form-control" rows="9" name="message"></textarea>
           	</div>
        </div>
        
        <hr>
           	<div class="row">
            <div class="col-md-2">
	            <a href="gift.php" class="btn btn-warning"><i class="fa fa-angle-double-left"></i>&nbsp; Back</a>
            </div>
            <div class="col-md-2 col-md-offset-6">
	            <a href="#" class="btn btn-success"></i>&nbsp; Total <?php echo '$'.$grand_total.''; ?></a>
            </div>
            <div class="col-md-2 ">
	            <button type="button" class="btn btn-danger btn-block" onClick=" Submit()">Continue  &nbsp;<i class="fa fa-angle-double-right"></i></button>
            </div>
           	</div>
        </div>
<input type="hidden" name="return_url" value="<?php 
$current_url = urlencode($url="http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']);
echo $current_url; ?>" />        
</form>
</div>
<script src="js/bootstrap.min.js" type="text/javascript"></script>
</body>
</html>
